FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Cluster Development

 
 
LinkBack Thread Tools
 
Old 12-08-2008, 01:02 PM
Steven Whitehouse
 
Default cman: loading lock_dlm module should be optional in initscript

Loading the lock_dlm module should be optional since it is optional
in the kernel configuration, and in the future we intend to merge
it into gfs2 itself.

Signed-off-by: Steven Whitehouse <swhiteho@redhat.com>

diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index 1012681..7d71e1b 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -148,7 +148,7 @@ load_modules()
{
errmsg=$( /sbin/modprobe configfs 2>&1 ) || return 1
errmsg=$( /sbin/modprobe dlm 2>&1 ) || return 1
- errmsg=$( /sbin/modprobe lock_dlm 2>&1 ) || return 1
+ errmsg=$( /sbin/modprobe lock_dlm 2>&1 ) || true
return 0
}
 

Thread Tools




All times are GMT. The time now is 07:54 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org